<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/ButtonsCommanderSwitchTwoPins.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('ButtonsCommanderSwitchTwoPins_8hpp_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">ButtonsCommanderSwitchTwoPins.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __buttonsCommanderSwitchTwoPins_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __buttonsCommanderSwitchTwoPins_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="Commanders_8h.html">Commanders.h</a>&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDER</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDERSWITCH</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="classButtonsCommanderSwitchTwoPins.html">   24</a></span>&#160;<span class="keyword">class </span><a class="code" href="classButtonsCommanderSwitchTwoPins.html">ButtonsCommanderSwitchTwoPins</a> : <span class="keyword">public</span> <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;{</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; <span class="keyword">private</span>:</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    GPIO_pin_t Pin1;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    GPIO_pin_t Pin2;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="comment">// unsigned long Id1;  / use base id instead...</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> Id2;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> debounceDelay;    <span class="comment">// the debounce time; increase if the output flickers</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    GPIO_pin_t lastSelectedPin;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keywordtype">int</span> lastButtonState;   <span class="comment">// the previous reading from the current input pin</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> lastDebounceTime;  <span class="comment">// the last time the current output pin was toggled</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    </div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="classButtonsCommanderSwitchTwoPins.html#aaf37dd87398ee10198c287100cbeb77a">ButtonsCommanderSwitchTwoPins</a>();</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    </div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderSwitchTwoPins.html#adc566a22e49ec0666d16713e4acb74f0">begin</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId1, <span class="keywordtype">int</span> inPin1, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId2, <span class="keywordtype">int</span> inPin2);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderSwitchTwoPins.html#a09bec828df1adbfe561730b1a443e72e">beforeFirstLoop</a>();</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classButtonsCommanderSwitchTwoPins.html#a096c4bc62bdc8144a6fe68808726bc73">loop</a>();</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classButtonsCommanderSwitchTwoPins.html#a386658bc972b186977a92cd6d7721d5c">   55</a></span>&#160;    <span class="keyword">inline</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classButtonsCommanderSwitchTwoPins.html#a386658bc972b186977a92cd6d7721d5c">GetId</a>(GPIO_pin_t inPin)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> inPin == this-&gt;Pin1 ? this-&gt;<a class="code" href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">Id</a> : (inPin == this-&gt;Pin2 ? this-&gt;Id2 : <a class="code" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a>); }</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordtype">void</span> printCommander();</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;};</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="Events_8h_html_a48ad4dd16b8e22f2c8bc92b154479e92"><div class="ttname"><a href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a></div><div class="ttdeci">#define UNDEFINED_ID</div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00038">Events.h:38</a></div></div>
<div class="ttc" id="classButtonsCommanderSwitchTwoPins_html_a386658bc972b186977a92cd6d7721d5c"><div class="ttname"><a href="classButtonsCommanderSwitchTwoPins.html#a386658bc972b186977a92cd6d7721d5c">ButtonsCommanderSwitchTwoPins::GetId</a></div><div class="ttdeci">unsigned long GetId(GPIO_pin_t inPin) const </div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderSwitchTwoPins_8hpp_source.html#l00055">ButtonsCommanderSwitchTwoPins.hpp:55</a></div></div>
<div class="ttc" id="classButtonsCommanderSwitchTwoPins_html_a096c4bc62bdc8144a6fe68808726bc73"><div class="ttname"><a href="classButtonsCommanderSwitchTwoPins.html#a096c4bc62bdc8144a6fe68808726bc73">ButtonsCommanderSwitchTwoPins::loop</a></div><div class="ttdeci">unsigned long loop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderSwitchTwoPins_8cpp_source.html#l00053">ButtonsCommanderSwitchTwoPins.cpp:53</a></div></div>
<div class="ttc" id="classButtonsCommanderSwitchTwoPins_html_a09bec828df1adbfe561730b1a443e72e"><div class="ttname"><a href="classButtonsCommanderSwitchTwoPins.html#a09bec828df1adbfe561730b1a443e72e">ButtonsCommanderSwitchTwoPins::beforeFirstLoop</a></div><div class="ttdeci">void beforeFirstLoop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderSwitchTwoPins_8cpp_source.html#l00028">ButtonsCommanderSwitchTwoPins.cpp:28</a></div></div>
<div class="ttc" id="classButtonsCommanderSwitchTwoPins_html_adc566a22e49ec0666d16713e4acb74f0"><div class="ttname"><a href="classButtonsCommanderSwitchTwoPins.html#adc566a22e49ec0666d16713e4acb74f0">ButtonsCommanderSwitchTwoPins::begin</a></div><div class="ttdeci">void begin(unsigned long inId1, int inPin1, unsigned long inId2, int inPin2)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderSwitchTwoPins_8cpp_source.html#l00017">ButtonsCommanderSwitchTwoPins.cpp:17</a></div></div>
<div class="ttc" id="classButtonsCommanderSwitchTwoPins_html_aaf37dd87398ee10198c287100cbeb77a"><div class="ttname"><a href="classButtonsCommanderSwitchTwoPins.html#aaf37dd87398ee10198c287100cbeb77a">ButtonsCommanderSwitchTwoPins::ButtonsCommanderSwitchTwoPins</a></div><div class="ttdeci">ButtonsCommanderSwitchTwoPins()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderSwitchTwoPins_8cpp_source.html#l00011">ButtonsCommanderSwitchTwoPins.cpp:11</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a3b40667770ab04694a2ea85f11aebfe0"><div class="ttname"><a href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">ButtonsCommanderButton::Id</a></div><div class="ttdeci">unsigned long Id</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00019">ButtonsCommanderButton.hpp:19</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html"><div class="ttname"><a href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00015">ButtonsCommanderButton.hpp:15</a></div></div>
<div class="ttc" id="classButtonsCommanderSwitchTwoPins_html"><div class="ttname"><a href="classButtonsCommanderSwitchTwoPins.html">ButtonsCommanderSwitchTwoPins</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderSwitchTwoPins_8hpp_source.html#l00024">ButtonsCommanderSwitchTwoPins.hpp:24</a></div></div>
<div class="ttc" id="Commanders_8h_html"><div class="ttname"><a href="Commanders_8h.html">Commanders.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>ButtonsCommanderSwitchTwoPins.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
